| Home | Libraries | People | FAQ | More

#### strategy::transform::translate_transformer

Strategy of translate transformation in Cartesian system.

###### Description

Translate moves a geometry a fixed distance in 2 or 3 dimensions.

###### Synopsis

    template<typename P1, typename P2, std::size_t Dimension1, std::size_t Dimension2>
    class strategy::transform::translate_transformer
    {
      // ...
    };

###### Template parameter(s)

Parameter | Default | Description
--- | --- | ---
typename P1 |  | first point type
typename P2 |  | second point type
std::size_t Dimension1 | geometry::dimension<P1>::type::value | number of dimensions to transform to second point
std::size_t Dimension2 | geometry::dimension<P2>::type::value |

###### Header

`#include <boost/geometry/strategies/transform/matrix_transformers.hpp>`